org.springframework.data.relational.core.mapping.event

## Class BeforeSaveEvent<E>

- java.lang.Object
- - java.util.EventObject
  - - org.springframework.context.ApplicationEvent
    - - org.springframework.data.relational.core.mapping.event.AbstractRelationalEvent<E>
      - - org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity<E>
        - - org.springframework.data.relational.core.mapping.event.RelationalSaveEvent<E>
          - - org.springframework.data.relational.core.mapping.event.BeforeSaveEvent<E>

All Implemented Interfaces:
  Serializable, RelationalEvent<E>, WithAggregateChange<E>, WithEntity<E>

    public class BeforeSaveEvent<E>
    extends RelationalSaveEvent<E>

Gets published before an entity gets saved to the database.

Author:
  Jens Schauder
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`BeforeSaveEvent(E instance, AggregateChange<E> change)`

### Method Summary

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalSaveEvent

`getAggregateChange`

### Methods inherited from class org.springframework.data.relational.core.mapping.event.RelationalEventWithEntity

`getEntity, getType`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getEntity, getType`

### Constructor Detail

#### BeforeSaveEvent

    public BeforeSaveEvent(E instance,
                           AggregateChange<E> change)

Parameters:
  `instance` - the entity about to get saved. Must not be null.
  `change` - the `AggregateChange` that is going to get applied to the database. Must not be null.